SrcDir  = :
ObjDir  = :o:
App		= "lister"

Sources = 						¶
		{SrcDir}start.c			¶
		{SrcDir}debug.c			¶
		{SrcDir}event.c			¶
		{SrcDir}file.c			¶
		{SrcDir}globals.c		¶
		{SrcDir}menu.c			¶
		{SrcDir}print.c			¶
		{SrcDir}utils.c


Objects = 							¶
		{ObjDir}start.c.obj			¶
		{ObjDir}debug.c.obj			¶
		{ObjDir}event.c.obj			¶
		{ObjDir}file.c.obj			¶
		{ObjDir}globals.c.obj		¶
		{ObjDir}menu.c.obj			¶
		{ObjDir}print.c.obj			¶
		{ObjDir}utils.c.obj


{App} Ä		{ObjDir}{App}.load {ObjDir}{App}.res
	duplicate -y -d {ObjDir}{App}.load lister
	duplicate -y -r {ObjDir}{App}.res  lister
	duplicateiigs -y -mac lister :

{ObjDIR}{App}.res	Ä	lister.r {ObjDir}custproc.load
	reziigs lister.r -o {ObjDir}lister.res

{ObjDir}lister.load		Ä	{Objects}
	LinkIIGS ¶
		"{CIIGSLibrary}"start.obj ¶
		{Objects} ¶
		-lib "{CIIGSLibrary}"clib ¶
		-lib "{CIIGSLibrary}"DTS.lib1.v1.0 ¶
		-o {ObjDir}lister.load  -t $B3

{ObjDir}custproc.load	Ä	{ObjDir}custproc.aii.obj
	LinkIIGS ¶
		{ObjDir}custproc.aii.obj ¶
		-o {ObjDir}custproc.load  -t $B3

{ObjDir}start.c.obj Ä start.c lister.h
	ciigs start.c -o {ObjDir}

{ObjDir}debug.c.obj Ä debug.c  lister.h
	ciigs debug.c -o {ObjDir}

{ObjDir}event.c.obj Ä event.c lister.h
	ciigs event.c -o {ObjDir}

{ObjDir}file.c.obj Ä file.c lister.h
	ciigs file.c -o {ObjDir}

{ObjDir}globals.c.obj Ä globals.c lister.h
	ciigs globals.c -o {ObjDir}

{ObjDir}menu.c.obj Ä menu.c lister.h
	ciigs menu.c -o {ObjDir}

{ObjDir}print.c.obj Ä print.c lister.h
	ciigs print.c -o {ObjDir}

{ObjDir}utils.c.obj Ä utils.c lister.h
	ciigs utils.c -o {ObjDir}

{ObjDir}custproc.aii.obj Ä custproc.aii
	asmiigs custproc.aii -o {ObjDir}

